Example request
GET https://api.jupiter-erp.com/api/account/print-layouts/example-id
Code
curl -X GET 'https://api.jupiter-erp.com/api/account/print-layouts/example-id' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json'Parameters
| Name | In | Required | Description |
|---|---|---|---|
| id | path | yes | — |
Responses
200OK
ModelPrintLayout
| Field | Type | Description | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| color_accent | string | — | |||||||||
| color_primary | string | — | |||||||||
| color_secondary | string | — | |||||||||
| created_at | string (date-time) | Creation timestamp in ISO 8601 format. | |||||||||
| custom_layout | string | — | |||||||||
| footer_content | string | — | |||||||||
| id* | integer | — | |||||||||
| is_default* | boolean | — | |||||||||
| is_default_credit_note | boolean | — | |||||||||
| is_default_custom_document | boolean | — | |||||||||
| is_default_delivery_note | boolean | — | |||||||||
| is_default_dunning | boolean | — | |||||||||
| is_default_invoice | boolean | — | |||||||||
| is_default_order_confirmation | boolean | — | |||||||||
| is_default_quote | boolean | — | |||||||||
| layout_name* | string | string
| |||||||||
| logo | object |
| |||||||||
| logo_text | string | — | |||||||||
| name* | string | — | |||||||||
| preview | object |
| |||||||||
| show_amounts | boolean | — | |||||||||
| show_contact_number | boolean | — | |||||||||
| show_contact_person | boolean | — | |||||||||
| show_folding_marks | boolean | — | |||||||||
| show_footer | boolean | — | |||||||||
| show_header | boolean | — | |||||||||
| show_item_prices | boolean | — | |||||||||
| show_item_sku | boolean | — | |||||||||
| show_item_tax_rate | boolean | — | |||||||||
| show_item_totals | boolean | — | |||||||||
| show_logo | boolean | — | |||||||||
| show_logo_text | boolean | — | |||||||||
| show_page_numbers | boolean | — | |||||||||
| show_signature_field | boolean | — | |||||||||
| show_terms | boolean | — | |||||||||
| show_totals | boolean | — | |||||||||
| updated_at | string (date-time) | Last update timestamp in ISO 8601 format. |
Example response
{
"id": 0,
"name": "string",
"layout_name": "default",
"custom_layout": "string",
"is_default": true,
"is_default_custom_document": true
}PrintLayouts